## org.pentaho.reporting.libraries.formula.typing
Interface Sequence

All Known Subinterfaces:
  NumberSequence

All Known Implementing Classes:
  AnyNumberSequence, AnySequence, DefaultNumberSequence

    public interface Sequence

Todo: Document Me

Author:
  Thomas Morgner

Method Summary
`boolean` `hasNext()`
`java.lang.Object` `next()`
`LValue` `nextRawValue()`

Method Detail

### hasNext

    boolean hasNext()
                    throws EvaluationException

  Throws:
    `EvaluationException`

### next

    java.lang.Object next()
                          throws EvaluationException

  Throws:
    `EvaluationException`

### nextRawValue

    LValue nextRawValue()
                        throws EvaluationException

  Throws:
    `EvaluationException`